# $Revision: 1.27 $, $Date: 2011/09/01 07:44:11 $
Summary:	A tool which displays the status of serial port modem lines
Summary(de.UTF-8):	zeigt den Status der seriellen Leitungen in einem Terminal an
Summary(es.UTF-8):	Enseña el estado de una línea serial en un terminal
Summary(fr.UTF-8):	Affiche l'état des lignes série dans un terminal
Summary(pl.UTF-8):	Narzędzie wyświetlające stan linii modemowych portu szeregowego
Summary(pt_BR.UTF-8):	Mostra o estado de uma linha serial em um terminal
Summary(ru.UTF-8):	Показывает состояние последовательных портов системы
Summary(tr.UTF-8):	Bir uçbirimde seri hatların durumlarını gösterir
Summary(uk.UTF-8):	Відображає статус серіальних портів системи
Summary(zh_CN.UTF-8):	一个显示串口调制解调器状态的工具
Name:		statserial
Version:	1.1
Release:	37
License:	BSD
Group:		Applications/System
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/serial/%{name}-%{version}.tar.gz
# Source0-md5:	bcd90fb0881c64024396bf1070de7e64
Patch0:		%{name}-config.patch
Patch1:		%{name}-dev.patch
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The statserial utility displays a table of the signals on a standard
9-pin or 25-pin serial port and indicates the status of the
handshaking lines. Statserial is useful for debugging serial port
and/or modem problems.

Install the statserial package if you need a tool to help debug serial
port or modem problems.

%description -l de.UTF-8
Statserial zeigt eine Tabelle mit den Signalen auf einem
Standard-9-Pin oder 25-Pin seriellen Port an und meldet den Status der
Handshaking- Leitungen. Nützlich zum Debuggen von Problemen mit
seriellen Ports oder Modems.

%description -l es.UTF-8
Statserial enseña una tabla de las señales en un puerto serial padrón
de 9 o 25 pinos y indica el estado de las líneas de handshaking. Puede
ser útil en la depuración de problemas con puertos seriales o módems.

%description -l fr.UTF-8
Statserial affiche une table des signaux sur un port série standard 9
ou 25 broches, et indique l'état des lignes reliées. il peut être
utile pour déboguer des problèmes de port série ou de modem.

%description -l pl.UTF-8
Statserial jest narzędziem wyświetlającym tabelę sygnałów w
standardowym 9 lub 25 pinowym złączu portu szeregowego i pokazującym
aktualny stan linii sterujących przepływem. Statserial jest użyteczny
przy usuwaniu błędów konfiguracji portu szeregowego i/lub modemu.

%description -l pt_BR.UTF-8
Statserial mostra uma tabela dos sinais em uma porta serial padrão de
9 ou 25 pinos e indica o status das linhas de handshaking. Pode ser
útil na depuração de problemas com portas seriais ou modems.

%description -l ru.UTF-8
Statserial выводит таблицу сигналов на стандартном последовательном
порту DB9 или DB25 и показывает состояние сигнальных линий. Может
пригодится для устранения проблем с последовательными портами и
модемами.

%description -l tr.UTF-8
Statserial, seri bağlantı noktası üzerindeki işaretlerin bir tablosunu
gösterir ve elsıkışma hatlarının durumunu belirtir. Seri bağlantı
noktaları ya da modemlerle ilgili hataları belirlemekte
kullanılabilir.

%description -l uk.UTF-8
Statserial відображає таблицю сигналів на стандартному серіальному
порту DB9 чи DB25 та статус сигнальних ліній. Може бути корисним при
пошуку причини проблем з серіальними портами та модемами.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
sed 's/CFLAGS.*=.*//' Makefile > Makefile.new
mv -f Makefile.new Makefile

%build
%{__make} \
	CC="%{__cc}" \
	LD="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install statserial   $RPM_BUILD_ROOT%{_bindir}/statserial
install statserial.1 $RPM_BUILD_ROOT%{_mandir}/man1/statserial.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/statserial
%{_mandir}/man1/statserial.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: statserial.spec,v $
Revision 1.27  2011/09/01 07:44:11  arekm
- release 37

Revision 1.26  2008/05/28 19:31:04  glen
- release 36

Revision 1.25  2008-05-28 19:30:31  glen
- rel 35 for fc2 upgrade

Revision 1.24  2007-02-12 22:09:16  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.22  2006/08/02 23:48:35  sparky
- pass rpmldflags and __cc

Revision 1.21  2004/04/26 19:03:13  adamg
- release 32 for Ac (31 is for Ra)

Revision 1.20  2003/05/28 13:02:04  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:27:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/12/02 11:06:27  ankry
- massive cleaning

Revision 1.17  2002/07/29 21:39:23  kloczek
- release 31,
- merge translations from Conectiva, TurboLinux and KSI,
- use new %doc.

Revision 1.16  2002/02/25 06:24:09  kloczek
- release 24.

Revision 1.15  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:45  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:15:04  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/04/07 14:00:26  kloczek
- release 23: use %{rpmcflags}.

Revision 1.11  2001/01/25 20:03:49  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/30 23:11:34  kloczek
- cosmetics in %files.

Revision 1.9  2000/12/28 15:22:47  baggins
- release 22
- fixed CFLAGS

Revision 1.8  2000/12/23 00:48:47  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.7  2000/12/22 16:04:19  kloczek
- merge old BeroLinux de, fr, tr translations.

Revision 1.6  2000/12/22 15:39:53  kloczek
- release 21,
- merge dev patch from RH,
- make spec %{debug} ready.

Revision 1.5  2000/12/20 23:16:17  marcus
- added Polish summary and description
- rewrited %install section
- added documentation (README,ChangeLog)
- adapterized
- release 14

Revision 1.4  2000/06/09 07:55:11  kloczek
- more %{__make} macros.

Revision 1.3  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.2  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  1999/08/19 20:07:27  baggins
- almost raw
